public inbox for gentoo-commits@lists.gentoo.org
 help / color / mirror / Atom feed
From: "Erik Mackdanz" <stasibear@gentoo.org>
To: gentoo-commits@lists.gentoo.org
Subject: [gentoo-commits] repo/gentoo:master commit in: media-sound/upmpdcli/
Date: Sat,  2 Jul 2022 01:18:32 +0000 (UTC)	[thread overview]
Message-ID: <1656724620.d0fc3a1595bc78665d83b914627ce698ff5ed493.stasibear@gentoo> (raw)

commit:     d0fc3a1595bc78665d83b914627ce698ff5ed493
Author:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
AuthorDate: Sat Jul  2 01:15:35 2022 +0000
Commit:     Erik Mackdanz <stasibear <AT> gentoo <DOT> org>
CommitDate: Sat Jul  2 01:17:00 2022 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=d0fc3a15

media-sound/upmpdcli: add 1.5.19

Signed-off-by: Erik Mackdanz <stasibear <AT> gentoo.org>

 media-sound/upmpdcli/Manifest               |  1 +
 media-sound/upmpdcli/upmpdcli-1.5.19.ebuild | 59 +++++++++++++++++++++++++++++
 2 files changed, 60 insertions(+)

diff --git a/media-sound/upmpdcli/Manifest b/media-sound/upmpdcli/Manifest
index 84509328914a..ecf738f256e1 100644
--- a/media-sound/upmpdcli/Manifest
+++ b/media-sound/upmpdcli/Manifest
@@ -1 +1,2 @@
 DIST upmpdcli-1.5.17.tar.gz 585821 BLAKE2B dfd47d710751540743f5df38975e2775ac99355781c7d7bf8b50543148bc22aa85f4f851a5628291f11474342caec99ecfa664cd701fbe13c46be1d56cc6b042 SHA512 caaba9d6ee8564e9464f19c9462e2fe4ed917270a9a66a9608895ddc8e060cefa339749ffc284d83a05be78571241e1c0ee74c4b0058bda8c5b1d8ebbaf248a1
+DIST upmpdcli-1.5.19.tar.gz 586888 BLAKE2B 1784d41dd09b8bee93e9bd8c650480f48cee8324a0cae85068bb628cb748b223f20a37608369b085c154327569203421d476ad5e6bc1a044fa5d5ad920e2a768 SHA512 517fae799e0d400268f968ea7983b1cb7e22759ad7a0b9fe194a5bbfbb2db16ea26a233cb1784fae6d7e3b8f28ff3443a8f8ab3e447719d05e48be36b49ded08

diff --git a/media-sound/upmpdcli/upmpdcli-1.5.19.ebuild b/media-sound/upmpdcli/upmpdcli-1.5.19.ebuild
new file mode 100644
index 000000000000..68874e5bd6ed
--- /dev/null
+++ b/media-sound/upmpdcli/upmpdcli-1.5.19.ebuild
@@ -0,0 +1,59 @@
+# Copyright 1999-2022 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+inherit systemd
+
+DESCRIPTION="UPnP Media Renderer front-end for MPD, the Music Player Daemon"
+HOMEPAGE="https://www.lesbonscomptes.com/upmpdcli/index.html"
+LICENSE="GPL-2"
+
+SRC_URI="https://www.lesbonscomptes.com/upmpdcli/downloads/${P}.tar.gz"
+SLOT="0"
+KEYWORDS="~amd64 ~x86"
+IUSE="thirdparty"
+
+DEPEND="
+	dev-libs/jsoncpp
+	media-libs/libmpdclient
+	net-libs/libmicrohttpd
+	net-libs/libupnpp
+"
+RDEPEND="
+	${DEPEND}
+	acct-group/upmpdcli
+	acct-user/upmpdcli
+	app-misc/recoll
+	thirdparty? ( dev-python/requests )
+"
+
+src_configure() {
+
+	./configure \
+		--prefix=/usr \
+		--sysconfdir=/etc \
+		--localstatedir=/var/lib \
+		--disable-dependency-tracking \
+		--disable-silent-rules \
+		"--docdir=/usr/share/doc/${P}" \
+		"--htmldir=/usr/share/doc/${P}/html" \
+		--libdir=/usr/lib64 \
+		|| die "Configure failed"
+
+}
+
+src_install() {
+	default
+	newinitd "${FILESDIR}/${PN}.initd" "${PN}"
+	newconfd "${FILESDIR}/${PN}.confd" "${PN}"
+	systemd_dounit systemd/upmpdcli.service
+}
+
+pkg_postinst() {
+	einfo
+	einfo "This package no longer assumes that upmpdcli is driving an"
+	einfo "mpd instance on the same host (https://bugs.gentoo.org/670130)."
+	einfo "Probably it is though, so be sure your mpd is built with"
+	einfo "USE=curl."
+}


             reply	other threads:[~2022-07-02  1:18 UTC|newest]

Thread overview: 67+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2022-07-02  1:18 Erik Mackdanz [this message]
  -- strict thread matches above, loose matches on Subject: below --
2024-11-04 14:09 [gentoo-commits] repo/gentoo:master commit in: media-sound/upmpdcli/ Erik Mackdanz
2024-11-04 14:09 Erik Mackdanz
2024-11-04 14:09 Erik Mackdanz
2024-09-28  2:36 Erik Mackdanz
2024-07-13 15:37 Erik Mackdanz
2024-07-13 15:37 Erik Mackdanz
2024-05-25  4:26 Erik Mackdanz
2024-05-25  4:26 Erik Mackdanz
2024-05-19  5:18 Erik Mackdanz
2024-05-16  3:47 Erik Mackdanz
2024-05-16  3:47 Erik Mackdanz
2024-03-16 15:09 Erik Mackdanz
2023-08-14  1:53 Erik Mackdanz
2023-08-14  1:53 Erik Mackdanz
2023-07-02 17:15 Erik Mackdanz
2023-07-02 17:15 Erik Mackdanz
2023-07-02 17:15 Erik Mackdanz
2023-05-31  7:51 Joonas Niilola
2023-04-25  4:39 Erik Mackdanz
2023-04-25  4:39 Erik Mackdanz
2023-04-08 20:15 Erik Mackdanz
2023-04-08 20:15 Erik Mackdanz
2023-04-08 20:15 Erik Mackdanz
2023-03-02  6:12 Erik Mackdanz
2023-03-02  6:12 Erik Mackdanz
2023-02-09  2:54 Erik Mackdanz
2023-02-09  2:54 Erik Mackdanz
2023-01-15 21:25 Erik Mackdanz
2023-01-15 21:25 Erik Mackdanz
2023-01-15 21:25 Erik Mackdanz
2022-09-25 15:51 Erik Mackdanz
2022-09-25 15:51 Erik Mackdanz
2022-09-25 15:51 Erik Mackdanz
2022-07-02  1:18 Erik Mackdanz
2022-07-02  1:18 Erik Mackdanz
2022-07-02  1:18 Erik Mackdanz
2022-05-21 20:36 Erik Mackdanz
2021-11-27 23:49 Erik Mackdanz
2021-11-27 23:48 Erik Mackdanz
2021-10-27  1:12 Erik Mackdanz
2021-09-19  4:02 Erik Mackdanz
2021-09-19  4:01 Erik Mackdanz
2021-08-03 21:11 Erik Mackdanz
2021-03-06 15:46 Erik Mackdanz
2021-03-06 15:46 Erik Mackdanz
2021-01-23 20:25 Erik Mackdanz
2021-01-23 20:24 Erik Mackdanz
2021-01-02  4:28 Erik Mackdanz
2020-12-27 16:35 Erik Mackdanz
2020-12-27 16:32 Erik Mackdanz
2020-12-12 17:13 Erik Mackdanz
2020-11-25 23:44 Erik Mackdanz
2020-11-22 17:03 Erik Mackdanz
2020-11-21 17:58 Erik Mackdanz
2020-11-17  2:17 Erik Mackdanz
2020-11-12  6:32 Erik Mackdanz
2019-04-22  3:40 Erik Mackdanz
2019-04-22  3:36 Erik Mackdanz
2019-02-09  4:17 Erik Mackdanz
2019-02-09  4:14 Erik Mackdanz
2018-10-22  1:20 Erik Mackdanz
2018-10-22  0:50 Erik Mackdanz
2018-10-22  0:49 Erik Mackdanz
2018-04-15  2:54 Erik Mackdanz
2018-04-15  2:51 Erik Mackdanz
2018-02-09  4:40 Erik Mackdanz

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=1656724620.d0fc3a1595bc78665d83b914627ce698ff5ed493.stasibear@gentoo \
    --to=stasibear@gentoo.org \
    --cc=gentoo-commits@lists.gentoo.org \
    --cc=gentoo-dev@lists.gentoo.org \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox